// #autoload
// #name = Rain's miscellanea
// #version = 0.2.0
// #date = 2004-05-22
// #author = Ben Winslow
// #warrior = Raineth
// #description = Miscellaneous stuff I find useful
// #status = beta
// #readme = scripts/autoexec/rain/txt/misc.txt
// #category = Rain's scripts

package misc {
	// easy chat commands
	function say(%text)
	{
		commandToServer('messageSent', %text);
	}
	function say_team(%text)
	{
		commandToServer('teamMessageSent', %text);
	}
	function say_teams()
	{
		%tot = 0;
		%buf = "";

		// team 0 is spectators
		for (%teamnum = 1; %teamnum < teamTracker.numteams + 1; %teamnum++) {
			%size = teamTracker.getTeamSize(%teamnum, false);
			%tot += %size;
			if (%teamnum != 1)
				%buf = %buf @ ", ";
			%buf = %buf @ "\c2" @ teamTracker.teamName[%teamnum] SPC "\cr(\c1" @ %size @ "\cr)";
		}
		
		%avg = %tot / teamTracker.numteams;
		%uneven = false;
		
		for (%teamnum = 1; %teamnum < teamTracker.numteams + 1; %teamnum++) {
			%size = teamTracker.getTeamSize(%teamnum, false);
			%diff = %size - %avg;
			%adiff = mAbs(%diff);
			if (%adiff >= 1) {
				%uneven = true;
				if (%diff <= -1) {
					%name = teamTracker.teamName[%teamnum];
					%s = (mCeil(%adiff) == 1 ? "" : "s");
					%buf = %buf @ "; \c2" @ %name @ "\cr is short \c1" @ mCeil(%adiff) @ "\cr player" @ %s @ "!";
				}
			}
		}
		
		if (%uneven) {
			commandToServer('messageSent', "\c6Teams are uneven!\cr  " @ %buf);
//			echo("\c6Teams are uneven!\cr  " @ %buf);
		} else {
			echo("\c9Teams are even.\cr  " @ %buf);
		}
	}
	
	// lazy lazy
	function spock()
	{
		joingame("66.138.159.248");
	}
};

activatePackage(misc);
